<template>
  <div class="py-2">
    <v-container>
      <v-row class="py-2" >
        <v-btn to="/home" icon outlined><v-icon>mdi-arrow-left</v-icon></v-btn>
      </v-row>
      <v-row class="d-flex justify-space-around">
        <presence-du-jour class="my-2" v-for="jour in joursDeLaSemaine" v-bind:key="jour" :date="jour"></presence-du-jour>
      </v-row>
    </v-container>
  </div>
</template>

<script>
import moment from "moment";
import PresenceDuJour from "@/components/PresenceDuJour";


export default {
  name: "Weekly",
  data() {
    return {
      semaine: {type: String, default: String(moment().isoWeek()).padStart(2, '0')}
    }
  },
  components: {
    PresenceDuJour
  },
  computed: {
    joursDeLaSemaine() {
      let weekStart = moment().year().toString() + "-W" + this.semaine + "-1"

      let days = [];

      for (let i = 0; i <= 4; i++) {
        days.push(moment(weekStart).add(i, 'days').format("YYYY-MM-DD"));
      }
      console.log(days)
      return days
    }
  },
  created() {
    this.semaine = this.$route.query.semaine
    console.log(this.semaine)
  }
}
</script>

<style scoped>

</style>